Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required
ChangeBaremetalChassisState
ChangeBaremetalChassisState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the bare metal chassis.
Body Fields
changebaremetalchassisstateObjectRequiredchangebaremetalchassisstate request body object.
stateEventStringRequiredThe action taken to change the status of the bare metal chassis.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/chassis/{uuid}/actions
/zstack/v1/baremetal/chassis/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/chassis/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changebaremetalchassisstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "506008545fa7391cb2586ae7d6180696", "ipmiAddress": "1.1.1.1", "ipmiPort": 623.0, "ipmiUsername": "root", "ipmiPassword": "password", "state": "Enabled", "status": "Available" } }Change History
This API has no change history records yet.
